dnsviz(1)

NAME
dnsviz - issue and assess diagnostic DNS queries

SYNOPSIS

dnsviz [ options ] command [ args ]

dnsviz
    [ options ] help [ command ]

DESCRIPTION

dnsviz is a tool for assessing the health of DNS deployments by issuing diagnostic queries, assessing the responses, and outputting the results in one of several formats. The assessment may be directed towards recursive or authoritative DNS servers, and the output may be textual, graphical, or serialized for programmatic review.

dnsviz is invoked by specifying one of its commands as the first argument on the command line, followed by arguments specific to that command. If the first argument is "help", then the usage of the command specified by the second argument is displayed. If no second argument is provided, then a general usage message is given.

OPTIONS

-v  Show version information and exit.

-p path
    Add a path to the python path.

COMMANDS

probe
    Issue diagnostic DNS queries. See dnsviz-probe(1).

grok
    Assess diagnostic DNS queries See dnsviz-grok(1).

graph
    Graph the assessment of diagnostic DNS queries See dnsviz-graph(1).

print
    Process diagnostic DNS queries to textual output See dnsviz-print(1).

query
    Assess a DNS query See dnsviz-query(1).

help [ command ]
    Show usage generally, or for a specific command.

EXIT CODES
The exit codes are:

0   Program terminated normally.

1   Incorrect usage.

SEE ALSO
dnsviz-probe(1), dnsviz-grok(1), dnsviz-graph(1), dnsviz-print(1), dnsviz-query(1)